//
//  SZSimplePhysicsDragSelector.h
//  SimplePhysicsDragSelectorTest
//
//  Created by 朱笑月 on 13-12-12.
//
//

#import "cocos2d.h"

@class SZSimplePhysicsDragSelector;
@protocol SZSimplePhysicsDragSelectorDelegate <NSObject>
@optional
// call when the selected icon changes
-(void)onSelectedIconChanged:(SZSimplePhysicsDragSelector*)selector;
// call when the selector move out of the min x
-(void)onDragSelectorBackward:(SZSimplePhysicsDragSelector*)selector;
// call when the selector move out of the max x
-(void)onDragSelectorForward:(SZSimplePhysicsDragSelector*)selector;
@end

@interface SZSimplePhysicsDragSelector : CCLayer
{
    CCNode *s_content;
    NSMutableArray *s_icons;
    CCNode *s_selectedIcon;
    
    BOOL isDragging;
    CGPoint lastTouchPoint;
	float lastx;
	float xvel;
	int maxX;
	int minX;
    float acceleration;
    float f;
    
    id<SZSimplePhysicsDragSelectorDelegate> s_delegate;
}

@property (nonatomic, readonly) NSMutableArray *Icons;
@property (nonatomic, readonly) CCNode *SelectedIcon;
@property (nonatomic, assign) id<SZSimplePhysicsDragSelectorDelegate> Delegate;

- (id)initWithIcons:(NSArray*)icons;

@end
